@import "header.scss";

.user__app-body {
  margin-top: 0;
}

.app-header {
  top: 0;
}

.user-page-01 {
  transition: all 0.3s ease-in-out;
}

.header-fixed {
  transition: all 0.3s ease-in-out;
}

.user-main {
  background-color: #eff3f6;
  padding-top: 15px;
}

.user-main {
  margin-top: 55px;

  .container-fluid {
    padding: 0 20px;
  }
}

.sidebar-show {
  .user-main {
    &:before {
      display: none;
    }
  }

  .user-page-01 {
    transform: translateX(-240px);
  }
}

.user-01 {
  position: relative;
  padding: 20px 15px;

  .user__image {
    margin-right: 10px;
  }

  .user__name {
    font-weight: 600;
  }

  .user-info {
    display: inline-block;
    vertical-align: middle;
  }
}

.app-header-01 {
  padding: 0 15px;

  .navbar-brand {
    left: 25px;
    transform: translateX(0);
    margin-left: 0;
    width: auto !important;
    text-align-last: auto;

    img {
      max-width: 142px;
    }
  }

  .navbar-toggler {
    position: absolute;
    right: 15px;
  }
}

.main-header-01 {
  display: none;
}

.assets-group {
  margin-bottom: 52px;
}

.assets-title,
.buy-title {
  color:  #505050;
  font-size: 28px;
  width: 100%;
  font-weight: 600;
  margin-bottom: 15px;
  display: block;
}

.textbox-01 {
  border-radius: 4px;
  background-color: #fff;
  position: relative;
  height: 100%;
  box-shadow: 0px 0px 9px 0px rgba(125, 158, 183, 0.58);

  &:after {
    content: '';
    display: table;
    clear: both;
  }

  .name {
    color:  #222c3c;
    font-size: 14px;
    margin-bottom: 18px;
    font-weight: bold;
    display: block;
  }

  .text {
    margin-bottom: 10px;
    color:  #222c3c;
    font-size: 14px;
    display: block;
  }

  .red {
    color: #ee6d39;
  }

  .image {
    height: 48px;
    float: left;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
  }

  .textbox {
    margin-left: 15px;
    float: right;
    text-align: right;
  }

  .content-top {
    position: relative;
  }

  .content-bottom,
  .content-top {
    padding: 10px 15px;
    &:after {
      content: '';
      display: table;
      clear: both;
    }
  }

  .content-bottom { 
    border-top: 1px solid #ccc;
    font-weight: bold;
    font-size: 14px;
    color: #09a532;

    .text-left {
      float: left;
    }

    .text-right {
      float: right;
    }
  }

  &.special-01 {
    .content-bottom {
      color: #e53a19;
    }
  }
}

@mixin grid-01($sm: "1", $md: "1", $lg: "1",$paddingsm: null, $paddingmd: $paddingsm, $paddinglg: $paddingmd) {
  font-size: 0;
  margin: 0 -#{$paddingsm};
  display: flex;
  flex-wrap: wrap;

  .grid-item {
    width: #{ 100/$sm + "%"};
    padding: $paddingsm;
    display: inline-block;
    vertical-align: top;
  }

@media screen and (min-width: 768px) {
    margin: 0 -#{$paddingmd};
    .grid-item {
      padding: $paddingmd;
      width: #{ 100/$md + "%"};
    }
  }

@media screen and (min-width: 992px) {
    margin: 0 -#{$paddinglg};
    .grid-item {
      padding: $paddinglg;
      width: #{ 100/$lg + "%"};
    }
  }
}

.grid-01 {
  @include grid-01(1, 3, 3, null, 10px, 15px);

  .grid-item {
    margin-bottom: 20px;
  }
}

.table-grid-01 {
  @include grid-01(3, 3, 3, 2px, 2px, 2px);
  border-bottom: none;

  .grid-item {
    margin-bottom: -1px;
    padding-bottom: 0;
    
    .nav-link {
      transition: all 0.3s ease-in-out;
      font-size: 14px !important;
      padding: 8px 10px;
      text-align: center;
      font-weight: 600;
      background-color: #c9d0d2;
      border: 1px solid #ccc;

      &.active {
        background-color: #fff;
        
        .icon {
          filter: grayscale(0);
        }
      }
    }
  }

  .icon {
    height: 20px;
    vertical-align: middle;
    margin-right: 7px;
    filter: grayscale(1);
    transition: all 0.3s ease-in-out;
  }
}


.card-01 {
  border: none;

  .card-body {
    padding: 0;
  }
}

.tab-content-01 {
  border-top: none;

  .tab-pane {
    padding: 0;

    .table {
      border: none;
    }
  }
}

.input-box {
  background-color: #fff;
  padding: 0 0 0 10px;
  border: 1px solid #ccc;
  display: inline-block;

  .text {
    color:  #222c3c;
    font-size: 13px;
    font-weight: bold;
    padding: 14px 0 11px 10px;
    font-size: 11px;
    display: inline-block;
  }

  .input {
    max-width: 135px;
    font-size: 16px;
    color: #000;
    font-weight: bold;
    padding: 10px 19px;
    border: none;
    font-size: 14px;

    &:focus {
      outline: none;
      border: none;
    }

    &::placeholder {
      font-weight: 400;
      color:  #d0d0d0;
    }
  }

  .text,
  .input {
    vertical-align: top;
  }
}

.drop-down-01 {
  display: inline-block;
  position: relative;
  .button {
    color:  rgba(34, 44, 60, 0.8);
    font-size: 14px;
    background-color: #dae1e9;
    padding: 10px 13px;
    vertical-align: middle;
    display: inline-block;
    cursor: pointer;
  }

  .button-text {
    margin-right: 20px;
    font-weight: normal;
    display: inline-block;
    vertical-align: middle;
    text-transform: uppercase;
  }

  .list {
    list-style: none;
    opacity: 0;
    visibility: hidden;
    position: absolute;
    top: calc(100% + 1px);
    z-index: 200;
    left: 0;
    background-color: #fff;
    border: 1px solid #333;
    padding-left: 0;
    width: 100%;

    .item {
      cursor: pointer;
      padding: 3px 7px ;
      font-size: 14px;
    }

    &.show {
      opacity: 1;
      visibility: visible;
    }
  }
}

.buy-group {
  margin-bottom: 52px;
}

.buy-grid {
  margin: 15px 0 0;
  @include grid-01(1, 2, 2);

  .grid-item {
    position: relative;
  }
}

.buy-item {
  position: relative;
  height: 100%;
  padding: 10px;
  background-color: #fff;
  text-align: center;
  margin-bottom: 20px;
  .title {
    text-transform: capitalize;
    font-weight: bold;
    color:  #222c3c;
    font-size: 16px;
    margin-bottom: 13px;
  }

  .image {
    height: 55px;
    display: block;
    margin: 0 auto 25px;
  }

  &.buy-item--02 {
    .title {
      color: #fff
    }
    background-color: #558bc3;;
  }
}

.button-01 {
  font-size: 15px;
  color: rgba(34, 44, 60, 0.8);
  padding: 10px 16px;
  border: none;
  background-color: #c0d7e4
}

.buy-link {
  text-align: center;
  margin-top: 20px;
  
  .buy-link-wrapper {
    color: #fff;
    text-align: center;
    display: inline-block;
    padding: 10px 20px;
    background-image: linear-gradient(#eda044, #ee6a35);
  }

  .icon-right {
    display: inline-block;
    margin-left: 7px;
    color: #fff;
    font-size: 16px;
  }
}

select {
  font-size: 20px;
}

.transaction {
  margin-bottom: 30px;
}
